Start a new topic

Cordova plugin & Visual Studio 2015 Apache Cordova

Cordova plugin & Visual Studio 2015 Apache Cordova


That fixed it for me, thanks.

Hi Siebren,
We could identify the issue in the forum and on GitHub. Please make sure to use `cordova platform add android@5.0.0` or `cordova platform update android@5.0.0`.

You might need to update your cordova installation for that.

Best regards

Andreas

I checked the installed versions, I had several installed including 23. I uninstalled everything below 22 and also updated the emulators to use API 23, created a new project and added the plugin and the error persists. 

Hi Siebren,
Which Android SDK/NDK do you have installed? Android runtime permissions require API level 22/23. I guess your local Android SDK is too old to support runtime permissions.

Best regards

Andreas

I?m trying to get the latest version of Wikitude Cordova Plugin to work on a Visual Studio 2015 Apache Cordova project. When I build the project I keep running into errors like the following:

1>  C:Users\xyz\Documents\Visual Studio 2015\Projects\ArApp\ArApp\platforms\android\src\com\wikitude\phonegap\WikitudePlugin.java:263: error: cannot find symbol
1>                          if ( !cordova.hasPermission(Manifest.permission.WRITE_EXTERNAL_STORAGE) ) {
1>                                       ^
1>    symbol:   method hasPermission(String)
1>    location: variable cordova of type CordovaInterface

Please advise. Tried running the project on both Cordova CLI 5.0.0 & 5.1.1.
Login or Signup to post a comment